PXT-Live problem.

Come here to discuss Push with other users.
For tech support, please head to http://www.ableton.com/help
Post Reply
Danjc
Posts: 13
Joined: Wed Mar 12, 2014 3:49 pm

PXT-Live problem.

Post by Danjc » Wed Apr 09, 2014 3:35 pm

I have just downloaded and installed PXT-Live and it does not work (i thought i was on version 9.1.1) but I'm on version 9.1.2 . It must have updated when i registered push ? Any ideas as PXT does not work with 9.1.2.
Thanks in advance, Dan.

Will The Weirdo
Posts: 10
Joined: Wed Jan 01, 2014 3:01 pm

Re: PXT-Live problem.

Post by Will The Weirdo » Wed Apr 09, 2014 5:08 pm

Be patient, I'm sure they will update PXT soon to work with Live 9.1.2.

metastatik
Posts: 318
Joined: Tue Mar 13, 2007 3:28 pm

Re: PXT-Live problem.

Post by metastatik » Wed Apr 09, 2014 5:45 pm

A 9.1.2-compatible beta version is available. FWIW, information about PXT-Live’s compatibility with 9.1.2 and the availability of the beta version is mentioned on the PXT-Live download page.

A 9.1.2-compatible beta version of PXT-Live Plus is available too.

Danjc
Posts: 13
Joined: Wed Mar 12, 2014 3:49 pm

Re: PXT-Live problem.

Post by Danjc » Wed Apr 09, 2014 5:58 pm

metastatik wrote:A 9.1.2-compatible beta version is available. FWIW, information about PXT-Live’s compatibility with 9.1.2 and the availability of the beta version is mentioned on the PXT-Live download page.

A 9.1.2-compatible beta version of PXT-Live Plus is available too.
Thanks, I have just been sent a link for the beta version I didn't notice that at first in my haste to install PXT-Live.
Work now though :cry: so I will have to wait till tomorrow for a play.

skatr2
Posts: 450
Joined: Sat Mar 27, 2010 11:38 pm

Re: PXT-Live problem.

Post by skatr2 » Sun Apr 20, 2014 6:08 pm

think I'm having the same issue. User mode is blank when I press it. Can't find a link anywhere. Posted to their forums but really disappointing.

clydesdale
Posts: 350
Joined: Mon Sep 09, 2013 3:28 am

Re: PXT-Live problem.

Post by clydesdale » Sun Apr 20, 2014 7:25 pm

Same here. I reinstalled 9.1.1 which worked but after a restart for some reason it keeps coming up as 9.1.2. I recall seeing that the full (non-beta) PXT release won't actually be until after 9.1.3. It had been published earlier that the latest PXT release wasn't compatible, I just plain forgot.
LIVE 9.1.7 x64, PUSH w/PXT, APC40, KEYSTATION PRO88, Radium61
Win8.1 Pro, 4820k(4.5GHz)/32GB/840ProSSD/RME Babyface

metastatik
Posts: 318
Joined: Tue Mar 13, 2007 3:28 pm

Re: PXT-Live problem.

Post by metastatik » Sun Apr 20, 2014 7:51 pm

As mentioned in the threads linked in my previous post, you need to send an email to support in order to take part in beta testing.

StewD
Posts: 58
Joined: Sat Oct 09, 2010 6:53 am

Re: PXT-Live problem.

Post by StewD » Mon Apr 21, 2014 2:42 am

Can someone please explain what the problems with 9.1.2 are?

I was running 9.1.1 until yesterday when Live decided to update itself. Now I can't get Push to run at all! When Live is powered up Push just continues with the "Please start Live to play ... " message.

It's probably unrelated and I've just sent a support request through about my issue. But when I saw this post I thought it was a curious coincidence.

Just started using ClyphX again too. Are there any issue with it and 9.1.2?

metastatik
Posts: 318
Joined: Tue Mar 13, 2007 3:28 pm

Re: PXT-Live problem.

Post by metastatik » Mon Apr 21, 2014 4:10 am

Based on what I’ve read here on the forum and some emails I’ve received, it seems like something is wrong with autoupdate (at least in some cases). And it doesn’t just affect Push, but also other MIDI Remote Scripts like the APC20/APC40 too. The solution is to just install 9.1.2 manually. This is not related to PXT-Live at all.

And, no, ClyphX works fine with 9.1.2.

StewD
Posts: 58
Joined: Sat Oct 09, 2010 6:53 am

Re: PXT-Live problem.

Post by StewD » Mon Apr 21, 2014 4:14 am

Thanks Stray, I worked that out too after a bit of digging.

Fresh download of 9.1.2 (turned auto-update OFF), installed PXT Live Beta (thank you) and looks like it's working again - Push powers up and everything looks OK, just haven't got around to testing it out fully.

Wow, that was scary ... I hate that sh*t!

skatr2
Posts: 450
Joined: Sat Mar 27, 2010 11:38 pm

Re: PXT-Live problem.

Post by skatr2 » Mon Apr 21, 2014 2:11 pm

Emailed them about getting beta inclusion this AM. Now in the mean time, does anyone have a link to the last version of live? I can't seem to find it anywhere.

StewD
Posts: 58
Joined: Sat Oct 09, 2010 6:53 am

Re: PXT-Live problem.

Post by StewD » Mon Apr 21, 2014 11:22 pm

skatr2 wrote:... Now in the mean time, does anyone have a link to the last version of live? I can't seem to find it anywhere.
Just go to your account on Ableton.com

skatr2
Posts: 450
Joined: Sat Mar 27, 2010 11:38 pm

Re: PXT-Live problem.

Post by skatr2 » Tue Apr 22, 2014 11:39 am

Won't let me specify which live version to download. Defaults to latest. Either way I got the beta. So all good now. Thanks!

Danjc
Posts: 13
Joined: Wed Mar 12, 2014 3:49 pm

Re: PXT-Live problem.

Post by Danjc » Thu Apr 24, 2014 5:01 pm

I'm sure those that have PXT-Live have had an email but just to share PXT-Live has been updated for compatibility with Live 9.1.2 so no more problems.

metastatik
Posts: 318
Joined: Tue Mar 13, 2007 3:28 pm

Re: PXT-Live problem.

Post by metastatik » Thu Apr 24, 2014 8:54 pm

For the sake of clarity, updates have not been issued to the entire user base as of yet. So not every user will have received an email. The update cycle will be complete by this Saturday. If users who have not received an update email would like to receive the update sooner, just send a request to support.

As an aside, the reason we decided to keep PXT-Live and PXT-Live Plus in beta for some time after 9.1.2 was released was because of the fact that the scope of the changes in 9.1.2 made it so maintaining compatibility with older versions of Live 9 (such as 9.1.1) was not possible. So, we wanted to give users some time to update to 9.1.2 before issuing an update that required that they updated to 9.1.2. Also, we took this time to add some new features as well.

Post Reply